de.dhbwstuttgart.parser

## Class JavaParser.yyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.dhbwstuttgart.parser.JavaParser.yyException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JavaParser

    public static class JavaParser.yyException
    extends java.lang.Exception

thrown for irrecoverable syntax errors and stack overflow.

See Also:
  Serialized Form

### Field Summary

Fields
`Token` `token`

### Constructor Summary

Constructors
Constructor and Description
`yyException(java.lang.String message, Token token)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### token

    public Token token

### Constructor Detail

#### yyException

    public yyException(java.lang.String message,
                       Token token)